#!/bin/sh
################################################################################
#                                                                              #
# Polish Kathi Team 2009                                                       #
#                                                                              #
# contact: http://pkt.cal.pl/                                                  #
#                                                                              #
################################################################################

. /var/config/link
. /var/config/emu.conf
. /var/config/language.conf

#-------------------------------------------------------------------------------
#language section
#-------------------------------------------------------------------------------

if [ $lang == pl ]; then

  info1="Zatrzymanie dzialajacego MBox"
  info2="Kasowanie MBox"
  info3="Pobieranie nowego MBox"
  info4="Ustawienie uprawnien"
  info5="MBox pobrany !"
  info6="Instalacja nie powiodla sie !"

elif [ $lang == en ]; then

  info1="MBox is stopping..."
  info2="Deleting MBox"
  info3="Downloading MBox"
  info4="Setting rights"
  info5="MBox downloaded!"
  info6="Installation error!"

elif [ $lang == ar ]; then

  info1="MBox إيقاف"
  info2="MBox حذف"
  info3="MBox تحميل"
  info4="إعطاء التصريح"
  info5="MBox تم تحميل"
  info6="حدثت مشكلة أثناء التنصيب"

elif [ $lang == fr ]; then

  info1="MBox est arrete..."
  info2="supprimer MBox"
  info3="Telechargement de nouveaux MBox"
  info4="Permission de fichier"
  info5="MBox telecharges!"
  info6="Erreur dans la installation!"
  
elif [ $lang == de ]; then

  info1="Stoppe MBox"
  info2="Losche MBox"
  info3="Lade MBox"
  info4="Attribute werden zugeteilt"
  info5="MBox geladen !"
  info6="Instalieren fehlgeschlagen !"

elif [ $lang == it ]; then

  info1="MBox e' in arresto"
  info2="Eliminazione MBox ..."
  info3="MBox in download..."
  info4="Impostazioni in corso ..."
  info5="MBox scaricato!"
  info6="Errore durante l'installazione!"    

elif [ $lang == es ]; then
  info1="MBox se esta parando..."
  info2="MBox se esta borrando"
  info3="MBox se esta descargando"
  info4="Estableciendo derechos"
  info5="MBox Descargada e Instalada!"
  info6="Error en la instalacion!"
    
fi

#-------------------------------------------------------------------------------
#script section
#-------------------------------------------------------------------------------

 if [ $emu == mbox ]; then
    echo $info1
    killall -15 mbox 2>/dev/null
    sleep 3
 fi

 if [ -s /var/emu/mbox ] ; then
    echo $info2
    rm /var/emu/mbox 2>/dev/null
    sleep 3
 fi
  
echo $info3
  wget $ADRES/mbox -O /var/emu/mbox 2>/dev/null
  sync
sleep 5

 if [ -s /var/emu/mbox ] ; then
    echo $info4
    chmod 755 /var/emu/mbox
    sleep 1
    echo $info5
 else
    echo $info6
 fi

echo ""

exit 0